CAN-CALC-BIT-TIMING(1)

NAME
can-calc-bit-timing - manual page for can-calc-bit-timing 2023.03-1

SYNOPSIS
can-calc-bit-timing [options] [<CAN-contoller-name>]

DESCRIPTION
can-calc-bit-timing - calculate CAN bit timing parameters.

OPTIONS

-q  don't print header line

-l  list all support CAN controller names

-b <bitrate>
    arbitration bit-rate in bits/sec

-d <bitrate>
    data bit-rate in bits/sec

-s <samp_pt>
    sample-point in one-tenth of a percent or 0 for CIA recommended sample points

-c <clock>
    real CAN system clock in Hz

--alg <alg>
    choose specified algorithm for bit-timing calculation

Or supply low level bit timing parameters to decode them:

--prop-seg
    Propagation segment in TQs

--phase-seg1
    Phase buffer segment 1 in TQs

--phase-seg2
    Phase buffer segment 2 in TQs

--sjw
    Synchronisation jump width in TQs

--brp
    Bit-rate prescaler

--tseg1
    Time segment 1 = prop-seg + phase-seg1

--tseg2
    Time segment 2 = phase_seg2